Subject: [AVT] RE: draft-ietf-avt-rtp-vmr-wb-03: MIME type

From: [email-masked]
Date: Tue, 7 Sep 2004 23:19:50 -0700

Hi Magnus,

Before I answer to your comments, I would like to state some facts about the VMR-WB codec and its file storage mechanism.

1- The VMR-WB decoder does not need to know the encoder mode of operation. Therefore, the "mode-set" parameter is not required for the storage format. That is, for example, the ".vmi" file received by the decoder is decoded regardless of the operating mode of the VMR-WB encoder.

Remember that files generated in the interoperable and non-interoperable modes have been separated by different magic numbers and file extensions for the information of an external file reader and to facilitate the interoperability between AMR-WB and VMR-WB.

2- The VMR-WB decoder does not need to know the sampling frequency of the encoder input speech. Therefore, the "rate" parameter is not required for the storage format.

3- The single and multi-channel files are identified by different magic numbers and headers therefore, the "channels" parameter is not required for the storage format. That is the sender of the VMR-WB file, depending on the application, can generate a mono or stereo file and the receiver side will know by the type of file (single channel or multi-channel header) the number and the contents of the channels to be decoded.

4- For the purpose of efficiency, the VMR-WB encoder stores the encoded speech as if it operates in DTX mode; that is, by default, 7 out of 8 frames are stored as NO_DATA during silence periods and 1 out of 8 frames is stored as SID_UPDATE during silence periods (just like AMR-WB). Therefore, the "dtx" parameter is not required for the storage format.

Consequently, as I have clearly stated in Section 10.1, all the optional MIME parameters and the "rate" parameter are only applicable to the RTP payload and not the storage format.

The above parameters are indeed required for the RTP payload for the obvious reasons.

I will make sure that the above facts are used clearly in Section 10.1.

Regards

-Sassan Ahmadi

> 
> I have also in the review found that the MIME registration is not as 
> clear as would be desirable on what parameters do apply to.
> 
> First, the MIME parameters do not all apply to the file format. In my 
> view the only parameters making sense for the file format are:
> - channels
> - rate
> - mode-set
> - dtx
>  From these parameters a receiver can determine, if it is 
> multi-channel 
> or not, if the mode-set is equal to 3, indicating interoperable mode. 
> Mode set does also support future extension, when new mode sets are 
> defined.
> 
> Second, I think there is need to clarify better what applies 
> to the two 
> different use cases by being explicit about it. I will read 
> Ned Freed's 
> draft to determine it recommends any language for this.
> 

_______________________________________________
Audio/Video Transport Working Group
[email-masked]
https://www1.ietf.org/mailman/listinfo/avt